### Method

# GtkSource FileLoader set_candidate_encodings

#### Declaration [src]

    void
    gtk_source_file_loader_set_candidate_encodings (
      GtkSourceFileLoader* loader,
      GSList* candidate_encodings
    )

#### Description [src]

Sets the candidate encodings for the file loading.

The encodings are tried in the same order as the list.

For convenience, `candidate_encodings` can contain duplicates. Only the first occurrence of a duplicated encoding is kept in the list.

By default the candidate encodings are (in that order in the list):

1. If set, the `GtkSourceFile`‘s encoding as returned by `gtk_source_file_get_encoding()`.
2. The default candidates as returned by `gtk_source_encoding_get_default_candidates()`.

#### Parameters

`candidate_encodings`

  Type: A list of `GtkSourceEncoding*`

  A list of `GtkSourceEncoding`s.

  The data is owned by the caller of the method.